Page MenuHomePhabricator

Release 6.4
Closed, ResolvedPublic

Description

Release version: 6.4
Release tag: 6.4.0
Release SHA1: ef04aa99e514796f77955b4476f7c2bbcee24553
App Store Submission Date: 9/13/2019
App Store Approval Date: 9/17/2019
App Store Release Date: 9/17/2019
Regression Testing URL: See ticket


Pre-release

  • File subtask for assets (if needed)
  • Submit "What’s New" on iTunes Connect for translation
  • Submit Beta on iTunes Connect for external testing review, and verify distribution
  • File subtask for smoke tests and notify TSG with RC build number
  • Upload new screenshots & app icons to iTunes Connect (if needed)
  • Review Regression testing report, triage bugs, and identify any blockers

Day of submit:

  • Update contributors list
  • Update "Licenses" section (e.g. new libraries, fonts, images, etc.)
  • Submit RC on iTunes Connect for App Store review with automatic release disabled.
  • Install previous (active) App Store version, then update to release candidate via TestFlight and verify app load
  • Release to App Store (NOT on a Friday!)

Post-release:

Event Timeline

LGoto created this task.Sep 9 2019, 6:44 PM
Restricted Application added a project: Wikipedia-iOS-App-Backlog. · View Herald TranscriptSep 9 2019, 6:44 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
JMinor triaged this task as Medium priority.Sep 16 2019, 6:38 PM
JMinor updated the task description. (Show Details)
JMinor reassigned this task from JMinor to LGoto.Oct 4 2019, 4:31 PM
JMinor updated the task description. (Show Details)
JMinor added a subscriber: JMinor.
LGoto closed this task as Resolved.Oct 4 2019, 5:02 PM
LGoto updated the task description. (Show Details)
LGoto updated the task description. (Show Details)